{{/*
Common labels
*/}}
{{- define "msk.labels" -}}
{{ include "msk-utils.labels" . }}
{{- end -}}

{{/*
Selector labels
*/}}
{{- define "msk.selectorLabels" -}}
{{ include "msk-utils.selectorLabels" . }}
{{- end -}}

{{- define "_msk.requiredClusterName" -}}
{{- required "You must specify the 'clusterName' to be created" .Values.clusterName -}}
{{- end -}}

{{- define "_msk.fullClusterName" -}}
{{ include "msk-utils.externalNamingPrefix" . }}-{{ include "_msk.requiredClusterName" .}}
{{- end -}}

{{- define "msk.clusterName" -}}
{{- $clusterName:= ( include "_msk.fullClusterName" . ) -}}
{{- if not (mustRegexMatch "^[a-zA-Z0-9_.-]+$" .Values.clusterName) -}}
{{- fail "'clusterName' failed to satisfy constraint: Member must satisfy regular expression pattern: [a-zA-Z0-9_.-]+" -}}
{{- end -}}
{{- printf "%s" $clusterName -}}
{{- end -}}

{{- define "msk.outputClusterName" -}}
{{- if .Values.existingInfraOverrides.enable -}}
clusterName: {{ .Values.existingInfraOverrides.clusterName }}
{{- else -}}
clusterName: "{{ include "msk-utils.externalNamingPrefix" . }}-{{- .Values.clusterName -}}"
{{- end -}}
{{- end -}}

{{/*
  Defines the endpoint configmap params for existing infrastructure
*/}}
{{- define "msk.endpointCMParams" -}}
{{- if not ( and .Values.existingInfraOverrides.bootstrapBrokers .Values.existingInfraOverrides.zookeeperConnectString ) }}
{{ printf ("\n\nIf you have set \".Values.existingInfraOverrides.enable\" as true then please provide a value for atleast one of the following: \".Values.existingInfraOverrides.bootstrapBrokers\" and \".Values.existingInfraOverrides.zookeeperConnectString\"") | fail }}
{{- end }}
bootstrapBrokers: {{ .Values.existingInfraOverrides.bootstrapBrokers }}
zookeeperConnectString: {{ .Values.existingInfraOverrides.zookeeperConnectString }}
{{- end }}